%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %{unstable}
%define dont_strip 1
%endif

%define           svnversion 854049
%define           subrel 2

Name:             nepomuk-kde
Summary:          KDE 4 Playground Nepomuk Tool
Version:          4.1.0
Release:          %mkrel 0.%{svnversion}.1
Group:            Graphical desktop/KDE
License:          LGPL
URL:              http://websvn.kde.org/trunk/playground/utils/
Source:	          %name-%version.%{svnversion}.tar.bz2
Patch0:           nepomuk-kde-4.1.0-rev879839.patch
Patch1:           nepomuk-kde-4.1.0-rev879918.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:    kdebase4-workspace-devel
BuildRequires:    kdebase4-devel
Obsoletes:        playground-%name < 4.0.1-2

%description
KDE 4 Playground Nepomuk Tool.

%files
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/*
%{_kde_datadir}/applications/kde4/*
%{_kde_appsdir}/nepomuk/ontologies/*
%{_kde_libdir}/libnepomukannotation.so

#---------------------------------------------------------------------------------

%define nepomukpeopletag_major 0
%define libnepomukpeopletag %mklibname nepomukpeopletag %{nepomukpeopletag_major}

%package -n %{libnepomukpeopletag}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libnepomukpeopletag}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libnepomukpeopletag} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnepomukpeopletag} -p /sbin/ldconfig
%endif

%files -n %{libnepomukpeopletag}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukpeopletag.so.%{nepomukpeopletag_major}*

#---------------------------------------------------------------------------------

%package devel
Summary: Devel headers for nepomuk playground
Group: Development/KDE and Qt
Obsoletes: playground-nepomuk-kde-devel < 4.0.90-1
Requires: %{libnepomukpeopletag} = %version-%release

%description devel
Devel headers for nepomuk playground

%files devel
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomuklinkwidget.so
%{_kde_libdir}/libnepomukpeopletag.so
%{_kde_libdir}/*.a
%{_kde_includedir}/*

#---------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
#%patch1 -p0
%build
    mkdir -p build
    cd build
    /usr/bin/cmake .. \
    %if "lib" != "lib"
        -DLIB_SUFFIX=64 \
    %endif
    -DCMAKE_INSTALL_PREFIX:PATH=/usr

%make


%install
rm -rf %buildroot
cd build && make DESTDIR=%buildroot install

%clean 
rm -rf %buildroot



%changelog
* Thu Dec 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.854049.1.2mdv2009.0
+ Revision: 310079
- Push on Updates as the reported validated the package
- Add fixes for tags:/ browsing

* Thu Aug 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.854049.1mdv2009.0
+ Revision: 277009
- New snapshot

* Sun Aug 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.3mdv2009.0
+ Revision: 275589
- Add obsoletes

* Sat Aug 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.2mdv2009.0
+ Revision: 272732
- Fix file list

* Sat Aug 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.1mdv2009.0
+ Revision: 272568
- Add buildrequires
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.71-0.811361.1mdv2009.0
+ Revision: 210117
- New snapshot
- Rename accordly kde policy

* Thu Feb 21 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 173696
- import playground-nepomuk-kde

